PVXMLDigitsGrammar Class Reference

`#include <vxml.h>`

Inheritance diagram for PVXMLDigitsGrammar:

## Public Member Functions

| PVXMLDigitsGrammar (PVXMLSession &session, PXMLElement &field, PINDEX minDigits, PINDEX maxDigits, PString terminators)
virtual void | OnUserInput (const char ch)
Public Member Functions inherited from PVXMLGrammar
| PVXMLGrammar (PVXMLSession &session, PXMLElement &field)
virtual void | Start ()
virtual bool | Process ()
GrammarState | GetState () const
void | SetTimeout (const PTimeInterval &timeout)
Public Member Functions inherited from PObject
virtual | ~PObject ()
virtual PObject * | Clone () const
| Create a copy of the class on the heap. More...
virtual PINDEX | HashFunction () const
| This function yields a hash value required by the `PDictionary` class. More...
virtual const char * | GetClass (unsigned ancestor=0) const
| Get the current dynamic type of the object instance. More...
PBoolean | IsClass (const char *cls) const
virtual PBoolean | InternalIsDescendant (const char *clsName) const
| Determine if the dynamic type of the current instance is a descendent of the specified class. More...
virtual Comparison | Compare (const PObject &obj) const
| Compare the two objects and return their relative rank. More...
virtual Comparison | CompareObjectMemoryDirect (const PObject &obj) const
| Determine the byte wise comparison of two objects. More...
bool | operator== (const PObject &obj) const
| Compare the two objects. More...
bool | operator!= (const PObject &obj) const
| Compare the two objects. More...
bool | operator< (const PObject &obj) const
| Compare the two objects. More...
bool | operator> (const PObject &obj) const
| Compare the two objects. More...
bool | operator<= (const PObject &obj) const
| Compare the two objects. More...
bool | operator>= (const PObject &obj) const
| Compare the two objects. More...
virtual void | PrintOn (ostream &strm) const
| Output the contents of the object to the stream. More...
virtual void | ReadFrom (istream &strm)
| Input the contents of the object from the stream. More...

## Protected Attributes

PINDEX | m_minDigits
PINDEX | m_maxDigits
PString | m_terminators
Protected Attributes inherited from PVXMLGrammar
PVXMLSession & | m_session
PXMLElement & | m_field
PString | m_value
GrammarState | m_state
PTimeInterval | m_timeout
PTimer | m_timer
PMutex | m_mutex

## Additional Inherited Members

Public Types inherited from PVXMLGrammar
enum | GrammarState { Idle, Started, Filled, NoInput, NoMatch, Help }
Public Types inherited from PObject
enum | Comparison { LessThan = -1, EqualTo = 0, GreaterThan = 1 }
| Result of the comparison operation performed by the `Compare()` function. More...
Static Public Member Functions inherited from PObject
static const char * | Class ()
| Get the name of the class as a C string. More...
static Comparison | InternalCompareObjectMemoryDirect (const PObject *obj1, const PObject *obj2, PINDEX size)
| Internal function caled from CompareObjectMemoryDirect() More...
Protected Member Functions inherited from PVXMLGrammar
| PDECLARE_NOTIFIER (PTimer, PVXMLGrammar, OnTimeout)
Protected Member Functions inherited from PObject
| PObject ()
| Constructor for PObject, made protected so cannot ever create one on its own. More...

## Constructor & Destructor Documentation

## PVXMLDigitsGrammar()

PVXMLDigitsGrammar::PVXMLDigitsGrammar | ( | PVXMLSession & | session,
|  | PXMLElement & | field,
|  | PINDEX | minDigits,
|  | PINDEX | maxDigits,
|  | PString | terminators
| ) |  |

## Member Function Documentation

## OnUserInput()

virtual void PVXMLDigitsGrammar::OnUserInput | ( | const char | ch | ) |

virtual

Implements PVXMLGrammar.

## Member Data Documentation

## m_maxDigits

PINDEX PVXMLDigitsGrammar::m_maxDigits

protected

## m_minDigits

PINDEX PVXMLDigitsGrammar::m_minDigits

protected

## m_terminators

PString PVXMLDigitsGrammar::m_terminators

protected

The documentation for this class was generated from the following file:

- vxml.h